version: '3.7'
networks:
  network:

volumes:
  data_${PDCI_TEMPLATE_NAME_SISTEMA}_db:
  data_${PDCI_TEMPLATE_NAME_SISTEMA}_tbs_geo_db:
  data_${PDCI_TEMPLATE_NAME_SISTEMA}_tbs_index_ssd_db:

services:
  ${PDCI_TEMPLATE_NAME_SISTEMA}_db:
    image:  registry.gitlab.com/sisicmbio/${PDCI_TEMPLATE_NAME_PROJETO}/postgis-dev:latest
    shm_size: 256m
    env_file:
      - ./.env.docker.dev
    environment:
      - POSTGRES_DB=db_dev_cotec
      - POSTGRES_USER=postgres
      - POSTGRES_PASS=postgres
      - ALLOW_IP_RANGE=0.0.0.0/0
    restart: always
    ports:
      - 54000-54300:5432
    networks:
      - network
    volumes:
      - data_${PDCI_TEMPLATE_NAME_SISTEMA}_db:/var/lib/postgresql
      - data_${PDCI_TEMPLATE_NAME_SISTEMA}_tbs_geo_db:/geo
      - data_${PDCI_TEMPLATE_NAME_SISTEMA}_tbs_index_ssd_db:/index_ssd
    deploy:
      resources:
        limits:
          cpus: '0.50'
          memory: 1024M
  ${PDCI_TEMPLATE_NAME_SISTEMA}_ifd:
    image: registry.gitlab.com/sisicmbio/${PDCI_TEMPLATE_NAME_PROJETO}/image_file_dump-dev:latest
    env_file:
      - ./.env.docker.dev
    environment:
      - PDCI_DB_HOST=${PDCI_TEMPLATE_NAME_SISTEMA}_db
      - PDCI_DB_NAME=db_dev_cotec
      - PDCI_DB_PORT=5432
      - PDCI_DB_SCHEMA=${PDCI_TEMPLATE_NAME_SISTEMA}
      - PDCI_DB_USER=postgres
      - PDCI_DB_PASSWORD=postgres
    networks:
      - network
    command:
      - pdci_restaurar_db.sh
